about summary refs log tree commit diff
path: root/test/pgmramp.test
diff options
context:
space:
mode:
Diffstat (limited to 'test/pgmramp.test')
-rwxr-xr-xtest/pgmramp.test34
1 files changed, 33 insertions, 1 deletions
diff --git a/test/pgmramp.test b/test/pgmramp.test
index f6f770fe..b4dbb3cd 100755
--- a/test/pgmramp.test
+++ b/test/pgmramp.test
@@ -1,15 +1,47 @@
-#! /bin/bash
+#! /bin/sh
 # This script tests: pgmramp
 # Also requires:
 
+echo "Test 1"
 
 for type in -lr -tb -rectangle -ellipse -diagonal
 do
 pgmramp -maxval=6 $type 4 4 -plain
 done
 
+echo "Test 2"
+
 for type in -lr -tb -rectangle -ellipse
 do pgmramp $type 256 256 | cksum
 done
 
+echo "Test 3"
+
 pgmramp -diagonal -maxval=510 256 256 | cksum
+
+echo "Test Invalid"
+
+echo 1>&2
+echo "Invalid command-line argument combinations." 1>&2
+echo "Error messages should appear below the line." 1>&2
+echo "-----------------------------------------------------------" 1>&2
+
+tmpdir=${tmpdir:-/tmp}
+test_out=${tmpdir}/test_out
+
+for combination in "-lr -tb" "-lr -rectangle" "-rectangle -ellipse"
+do pgmramp $combination 10 10 > ${test_out} || \
+  printf "Expected failure: $combination"
+  test -s ${test_out}; echo " "$?
+  rm -f ${test_out}
+done
+
+pgmramp -lr     1 > ${test_out} || \
+  printf "Expected failure: insufficient parameters"; \
+  test -s ${test_out}; echo " "$?
+  rm -f ${test_out}
+
+pgmramp -tb 1 1 1 > ${test_out} || \
+  printf "Expected failure: excessive parameters"; \
+  test -s ${test_out}; echo " "$?
+  rm -f ${test_out}